Bug 178642 - Pup needs "Deselect All" and "Select All"
Pup needs "Deselect All" and "Select All"
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-01-22 17:50 EST by Dave Burgess
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 16:45:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Burgess 2006-01-22 17:50:46 EST
Description of problem:

It would be nice if there were buttons to "Deselct All" and "Select All" on pup.
Occasionally there are literally hundreds of updates.  For one reason of another 
I (or anyone else) may only want to update one ot two items, perhaps because of
dependancy problems.  Right now you have to manually uncheck (perhaps hundreds)
of updates, one by one.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2006-02-03 16:45:21 EST
If there are hundreds of updates (outside the realm of the development tree),
then that is a different problem.  Select all/deselect all is just working
around the real problem.
Comment 2 Dave Burgess 2006-02-03 21:45:33 EST
From this response I can assume you are refusing to add this, although you gave
a very obtuse response.

Therefore you'd better not be surprised if people don't use pup and use things
like commandline yum and or yumex instead.
Comment 3 David Timms 2006-03-03 06:18:29 EST
>If there are hundreds of updates (outside the realm of the development tree),
>then that is a different problem.

Or just normal behaviour on first pup run after an install when it has been some
time since the major release...

Give us at least the select none capability, then if we are mentally (memory)
challenged, we may still be able to use pup to (eventually) get all the updates

It also saves time because the time taken to resolve seems to be considerably
reduced (it appears to me much much less than it takes to do all updates at once).

People might also want to choose just the security updates !
Comment 4 David Timms 2006-03-11 22:55:05 EST
Another point to consider: on a machine with limited disk space (or limited disk
space in the yum cache location), having to do the gamut at once when there is
lots of updates (especially kernel/openoffice/kde/eclipse/java) could fill the
disk, resulting instead to being unable to perform any updates in a nice GUI way.
Comment 5 David Lawrence 2006-06-27 21:32:34 EDT
Moving component to pirut. Sorry for the spam.
Comment 6 David Timms 2007-04-28 19:40:35 EDT
Even though this was closed wont fix, there have been a few additions to pup
that allow you to workaround this to achieve the same.

1. click the first package
2. shift click the last package
3. right click one of the packages
4. unselect all !

Either this came accidentally through gtk updates etc, or it was decided that it
is a usfeul function, but that only technical people should be able to do it ;)

Note You need to log in before you can comment on or make changes to this bug.